<?php
// $Id: theme-settings.php,v 1.1.2.4 2009/05/14 12:06:16 skiquel Exp $

// Include the definition of zen_settings() and zen_theme_get_default_settings().
include_once './' . drupal_get_path('theme', 'zen') . '/theme-settings.php';


/**
 * Implementation of THEMEHOOK_settings() function.
 *
 * @param $saved_settings
 *   An array of saved settings for this theme.
 * @return
 *   A form array.
 */
function simpla_settings($saved_settings) {

  // Get the default values from the .info file.
  $defaults = zen_theme_get_default_settings('simpla');

  // Merge the saved variables and their default values.
  $settings = array_merge($defaults, $saved_settings);

  /*
   * Create the form using Forms API: http://api.drupal.org/api/6
   */
  $form = array();
  /* -- Delete this line if you want to use this setting
  $form['STARTERKIT_example'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Use this sample setting'),
    '#default_value' => $settings['STARTERKIT_example'],
    '#description'   => t("This option doesn't do anything; it's just an example."),
  );
  // */

  $form['themedev']['simpla_layout'] = array(
    '#type'          => 'radios',
    '#title'         => t('Layout method'),
    '#options'       => array(
                          'border-politics-liquid' => t('Liquid layout') . ' <small>(layout-liquid.css)</small>',
                          'border-politics-fixed' => t('Fixed layout') . ' <small>(layout-fixed.css)</small>',
                        ),
    '#default_value' => $settings['simpla_layout'],
  );

  $form['simpla_corners'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Rounded corners (beta)'),
    '#description'   => t('Uses jquery rounded corners to smooth out layout.'),
    '#default_value' => $settings['simpla_corners'],
  );

  $form['simpla_search_corners'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Search box corners (beta)'),
    '#description'   => t('Uses overlay + CSS to make searchbox appear rounded.'),
    '#default_value' => $settings['simpla_search_corners'],
  );
  
  // Add the base theme's settings.
  $form += zen_settings($saved_settings, $defaults);

  // Remove some of the base theme's settings.
  unset($form['themedev']['zen_layout']); // We don't need to select the base stylesheet.

  // Return the form
  return $form;
}
